%define upstream_name    Pod-LaTeX
%define upstream_version 0.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Converts pod to latex with Pod::Parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Pod::Find)
BuildRequires: perl(Pod::ParseUtils) >= 0.300.0
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Pod::Select)
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildArch:  noarch

%description
'Pod::LaTeX' is a module to convert documentation in the Pod format into
Latex. The pod2latex command uses this module for translation.

'Pod::LaTeX' is a derived class from Pod::Select.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files
%doc ChangeLog META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.610.0-2.mga4
+ Revision: 526274
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.610.0-1.mga4
+ Revision: 436453
- update to 0.61

* Sun Jun 02 2013 jquelin <jquelin> 0.600.0-5.mga4
+ Revision: 434495
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 0.600.0-4.mga3
+ Revision: 405521
- perl 5.16.3 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 0.600.0-3.mga3
+ Revision: 403826
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.600.0-2.mga3
+ Revision: 371912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 jquelin <jquelin> 0.600.0-1.mga3
+ Revision: 301392
- dual-lifed Pod::LaTeX
- imported package perl-Pod-LaTeX


* Mon Oct 01 2012 cpan2dist 0.60-1mga
- initial mageia release, generated with cpan2dist
